# eric3.Debugger.AsyncIO

Module implementing an asynchronous interface for the debugger.

### Classes

AsyncIO | Class implementing asynchronous reading and writing.

### Functions

None

## AsyncIO

Class implementing asynchronous reading and writing. It implements asynchronous reading and writing using the Qt event loop.

### Derived from

AsyncIOBase, QObject

### Methods

AsyncIO | Constructor
disconnect | Public method to disconnect any current connection.
setNotifiers | Public method to set up the socket notifiers for the Qt event loop.
setWriteNotifier | Private method called to disable the write notifier.
write | Public method to write a string.
writeReady | Protected method called when we are ready to write data.

### AsyncIO (Constructor)

AsyncIO(parent=None)

Constructor

parent
  the optional parent of this object (QObject)

### AsyncIO.disconnect

disconnect()

Public method to disconnect any current connection.

### AsyncIO.setNotifiers

setNotifiers()

Public method to set up the socket notifiers for the Qt event loop.

### AsyncIO.setWriteNotifier

setWriteNotifier()

Private method called to disable the write notifier.

If there is no data to be written, the write notifier will be diabled.

### AsyncIO.write

write(s)

Public method to write a string.

s
  the data to be written (string)

### AsyncIO.writeReady

writeReady(fd)

Protected method called when we are ready to write data.

fd
  file descriptor of the file that has data to be written (int)

Up